javax.jms

## Class ResourceAllocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.ResourceAllocationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResourceAllocationException

    public class ResourceAllocationException
    extends JMSException

This exception is thrown when a provider is unable to allocate the resources required by a method. For example, this exception should be thrown when a call to `TopicConnectionFactory.createTopicConnection` fails due to a lack of JMS provider resources.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResourceAllocationException(java.lang.String reason)` Constructs a `ResourceAllocationException` with the specified reason.
`ResourceAllocationException(java.lang.String reason, java.lang.String errorCode)` Constructs a `ResourceAllocationException` with the specified reason and error code.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceAllocationException

    public ResourceAllocationException(java.lang.String reason,
                               java.lang.String errorCode)

Constructs a `ResourceAllocationException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### ResourceAllocationException

    public ResourceAllocationException(java.lang.String reason)

Constructs a `ResourceAllocationException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception